Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.swtbot.swt.finder
Enum ReferenceBy

    java.lang.Object
      java.lang.Enum<ReferenceBy>
          org.eclipse.swtbot.swt.finder.ReferenceBy

All Implemented Interfaces:
  Serializable, Comparable<ReferenceBy>

    public enum ReferenceBy

extends Enum<ReferenceBy>

Since:
  2.0

Enum Constant Summary
`ID_KEY_VALUE`
`ID_VALUE`
`IN_GROUP`
`LABEL`
`MESSAGE`
`MNEMONIC`
`NONE`
`TEXT`
`TOOLTIP`

Method Summary
`String` | `argumentName()`
`protected boolean` | `canExistByItself()`
`protected static Comparator<ReferenceBy>` | `comparator()`
`String` | `describeJavaDoc()`
`static List<List<ReferenceBy>>` | `getCombinations(ReferenceBy... references)`
`protected boolean` | `isCompatibleWith(ReferenceBy other)`
`String` | `javadoc()`
`abstract String` | `matcherMethod()`
`String` | `methodArgument()`
`String` | `methodNameSuffix()`
`String` | `paramJavaDoc()`
`static ReferenceBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReferenceBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final ReferenceBy TEXT

### MNEMONIC

    public static final ReferenceBy MNEMONIC

### LABEL

    public static final ReferenceBy LABEL

### TOOLTIP

    public static final ReferenceBy TOOLTIP

### MESSAGE

    public static final ReferenceBy MESSAGE

### ID_KEY_VALUE

    public static final ReferenceBy ID_KEY_VALUE

### ID_VALUE

    public static final ReferenceBy ID_VALUE

### NONE

    public static final ReferenceBy NONE

### IN_GROUP

    public static final ReferenceBy IN_GROUP

Method Detail

### values

    public static ReferenceBy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReferenceBy c : ReferenceBy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReferenceBy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isCompatibleWith

    protected boolean isCompatibleWith(ReferenceBy other)

### canExistByItself

    protected boolean canExistByItself()

### describeJavaDoc

    public String describeJavaDoc()

### methodArgument

    public String methodArgument()

### argumentName

    public String argumentName()

### methodNameSuffix

    public String methodNameSuffix()

### matcherMethod

    public abstract String matcherMethod()

### comparator

    protected static Comparator<ReferenceBy> comparator()

### getCombinations

    public static List<List<ReferenceBy>> getCombinations(ReferenceBy... references)

  Parameters:
    `references` - the references
  Returns:
    all possible combinations of the specified combinations

### javadoc

    public String javadoc()

### paramJavaDoc

    public String paramJavaDoc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD